
/*====================================================================================================================
EXPERIMENT: CHEATING UNDER THE SHADOW OF REDISTRIBUTION
Bortolotti, Soraperra, Sutter, Zoller

Input:
	data_Mturk_27Jun.dta

Outputs:
	dataset with random pairs
======================================================================================================================*/
*set directory
cd "/Users/bortolotti/Dropbox/Exp_sacrifice/software/BeliefSeqExit/dofile"

clear

gen correct1=.
gen correct2=.
gen id=.
save random_draw_seq, replace
save random_draw_sim, replace
  
use data_ready, clear
set more off

*kee only relevant data
keep if exit_option==1 & exit==0 & tot_period==1

*set seed
set seed 5555

*====================================================================
*Run the loop to create the dataset (sequential)
*====================================================================
forvalues x = 1/64 {
	preserve
	keep if treatmentlist==1
	sample 10, count by(Color)
	g Right=choice==2
	g Up=choice_r==1
	egen correct1=sum(Right)
	egen correct2=sum(Up)
	gen id=`x'
	keep if _n==1
	keep id correct1 correct2
	save temp, replace
	append using random_draw_seq
	save random_draw_seq, replace
	restore
}

*====================================================================
*Run the loop to create the dataset (simultaneous)
*====================================================================
forvalues x = 1/64 {
	preserve
	keep if treatmentlist==3
	sample 10, count by(Color)
	g Right=choice==2
	g Up=choice==1
	egen correct1=sum(Right)
	egen correct2=sum(Up)
	gen id=`x'
	keep if _n==1
	keep id correct1 correct2
	save temp, replace
	append using random_draw_sim
	save random_draw_sim, replace
	restore
}

erase temp.dta


